Unit Type
Define and manage unit types in VARIO Cloud via API, including names, abbreviations, categories, UNECE references, updates, and deletion.
the UnitType API
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
einheiten typ
einheiten name
einheiten abkürzung
Resource with given ID was not found
GET /cmn/unit-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"type": "UNDEFINED",
"name": "text",
"abbreviation": "text",
"uneceUnitOfMeasureRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
einheiten typ
einheiten name
einheiten abkürzung
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
einheiten typ
einheiten name
einheiten abkürzung
Resource was not found
Resource was not valid to process
PUT /cmn/unit-types/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 133
{
"version": "text",
"info": {},
"id": "text",
"type": "UNDEFINED",
"name": "text",
"abbreviation": "text",
"uneceUnitOfMeasureRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"type": "UNDEFINED",
"name": "text",
"abbreviation": "text",
"uneceUnitOfMeasureRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /cmn/unit-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
einheiten typ
einheiten name
einheiten abkürzung
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
einheiten typ
einheiten name
einheiten abkürzung
Resource was not valid to process
POST /cmn/unit-types HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 133
{
"version": "text",
"info": {},
"id": "text",
"type": "UNDEFINED",
"name": "text",
"abbreviation": "text",
"uneceUnitOfMeasureRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"type": "UNDEFINED",
"name": "text",
"abbreviation": "text",
"uneceUnitOfMeasureRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Last updated
Was this helpful?